import { Meta } from "@storybook/addon-docs/blocks";

<Meta title="Welcome|yarn Commands" />

# `yarn` Commands

This is a list of commands avaliable in the `scripts` section of `package.json`.

## `build:docs`

Compiles storybook into a set of deployable static assets, but in `--docs` mode
(useful when building a design system). Look for the output in
`storybook-static`.

```sh
yarn build:docs
```

## `build:storybook`

Compiles storybook into a set of deployable static assets. Look for the output
in `storybook-static`.

```sh
yarn build:storybook
```

## `build`

Compiles all of your Typescript to ES5 modules and `.d.ts` type definition
files. Look for the output in `dist/`.

```sh
yarn build
```

## `start:docs`

Start the Storybook server in `--docs` mode (only docs pages will be rendered,
no canvas pages). This might be ideal for publishing your components as a
design system.

```sh
yarn start
```

## `test:generate-output`

Same as `yarn test`, but writes the output to disk. The resulting file is used
by [`@storybook/addon-jest`](https://github.com/storybookjs/storybook/tree/master/addons/jest)
to display test results with the component stories.

```sh
yarn test:generate-output

# or in watch mode
yarn test:generate-output --watch
```

## `test`

Processes all of your tests using `jest`.

```sh
yarn test

# or in watch mode
yarn test --watch
```
